Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » Graphiti » Graphiti compatibility
Graphiti compatibility [message #827268] Fri, 23 March 2012 04:48 Go to next message
Patrick Talbot is currently offline Patrick Talbot
Messages: 36
Registered: November 2011
Member
I'm wondering about the compatibility of Graphiti with various Eclipse versions...

I've been working on a plugin implementation using v0.8.2 with an Helios based Eclipse product (Servoy 6.0) and up till now I also managed to stay compatible with 0.9.0 with an Indigo based Eclipse product (upcoming Servoy 6.1)

It's not clear to me what the final target of the framework will be and the outdated Graphiti site download page doesn't help.

Will Helios still be supported?
Will Indigo?

A new 0.9.0 release came out a couple of days ago and it's been talked about the Juno M6 contribution but no word about backward compatibility with earlier Eclipse versions.

Could someone explain?

Thanks,
-Patrick
Re: Graphiti compatibility [message #827507 is a reply to message #827268] Fri, 23 March 2012 12:22 Go to previous messageGo to next message
Michael Wenz is currently offline Michael Wenz
Messages: 1592
Registered: July 2009
Location: Walldorf, Germany
Senior Member
Thanks for pointing that out, that was indeed missing info on the download
page. It was already mentioned in our Juno Project Plan at:
http://www.eclipse.org/projects/project-plan.php?projectid=modeling.gmp.graphiti
I added the info also to the downloads page.

In short: 0.9.0 will be our contribution to the Juno release train and will
be compatible (or run against) Juno and Indigo. But it will no longer run
against Helios.

Michael
Re: Graphiti compatibility [message #827592 is a reply to message #827507] Fri, 23 March 2012 14:42 Go to previous messageGo to next message
Patrick Talbot is currently offline Patrick Talbot
Messages: 36
Registered: November 2011
Member
Thanks for the update Michael.

However, bad news about Helios. Any particular reason why this cannot be supported anymore?
I'm asking because my current primary target is still the Helios based distribution (it will take a year or so before the Indigo based 6.1 product is adopted).
Re: Graphiti compatibility [message #827597 is a reply to message #827507] Fri, 23 March 2012 14:47 Go to previous messageGo to next message
Patrick Talbot is currently offline Patrick Talbot
Messages: 36
Registered: November 2011
Member
Thanks for the update Michael.

However, bad news about Helios... Any particular reason why support for it has been dropped?
I'm asking because my primary target is still the Helios based product (the Indigo based Servoy 6.1 will not be out until this summer and it will take a year for it to be adopted - in the meantime, I must support the existing user base), so I'm particularly interested in having this working in Helios at the moment.
Re: Graphiti compatibility [message #829611 is a reply to message #827592] Mon, 26 March 2012 14:52 Go to previous message
Michael Wenz is currently offline Michael Wenz
Messages: 1592
Registered: July 2009
Location: Walldorf, Germany
Senior Member
We have used some new stuff in GEF that has been introduced with 3.7 (both
GEF and Eclipse versions). As far as I remember without looking up this was
about some presentation issues with clipping that were fixed by using that
new API in GEF.

Michael
Previous Topic:How to link diagrams with each other?
Next Topic:creating a ChopboxAnchor on a nested polygon
Goto Forum:
  


Current Time: Tue Sep 16 23:39:59 GMT 2014

Powered by FUDForum. Page generated in 0.01732 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software